<?php
/*
# CS Monitoring Plugin v1 - panel
# by Rush
# http://vkontakte.ru/hot.rush
# johny64@gmail.com
*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
add_to_head("<script type='text/javascript' src='".INFUSIONS."csm_panel/easySlider1.7.js'></script>");
add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."csm_panel/screen.css' />");
add_to_head("<script type='text/javascript'>
    $(document).ready(function(){	
		$('#servers').easySlider({
            auto: true, 
			continuous: true
		});
    });	
</script>");

require_once INFUSIONS."csm/infusion_db.php";
require_once INFUSIONS."csm/backend.php";
if (file_exists(INFUSIONS."csm/locale/".LOCALESET.".php")) {
    require_once INFUSIONS."csm/locale/".LOCALESET.".php";
} else {
    require_once INFUSIONS."csm/locale/Russian.php";
}

    echo "<div id='servers'>";
    echo "<ul><li>";
    $i = 0;
    $result = dbquery("SELECT * FROM ".DB_CSM_SERVERS." ORDER BY server_order ASC");
    while ($data = dbarray($result)) {
        $server_info = get_server_info($data['server_ip'], $data['server_port']);
        if ($i % 2 == 0 && $i != 0) { echo "</li><li>"; }
        //print_r($server_info);
        //echo "<br>";
        if ($i % 2 == 0 || $i == 0) { echo "<div class='left-server'>"; } else { echo "<div class='right-server'>"; }
        if ($server_info['status'] == "online") { $map = (file_exists(INFUSIONS."csm_panel/maps/Counter-Strike/".$server_info['map'].".jpg") ? INFUSIONS."csm_panel/maps/Counter-Strike/".$server_info['map'].".jpg" : INFUSIONS."csm_panel/maps/default.jpg"); }
        else { $map = INFUSIONS."csm_panel/maps/default.jpg"; }
        echo "<div class='image-bl'><img src='".$map."' border='0' width='150' height='122' style='margin-top:5px;margin-left:5px;' /></div>";
        if ($server_info['status'] == "online") {
            if ($server_info['ping'] <= 100) { $ping = "<strong style='color:green;'>".$server_info['ping']."</strong>"; }
            elseif ($server_info['ping'] > 100 && $server_info['ping'] <= 200) { $ping = "<strong style='color:orange;'>".$server_info['ping']."</strong>"; }
            elseif ($server_info['ping'] > 200) { $ping = "<strong style='color:red;'>".$server_info['ping']."</strong>"; }
            echo "<div class='server-info'><h3 class='panelcap'>".$server_info['name']."</h3>
            <strong style='color:green;'>".$locale['csm_19']."</strong><br /><br />
            <strong>".$locale['csm_20']."</strong>&nbsp;".$server_info['host']."&nbsp;&nbsp;<strong>".$locale['csm_21']."</strong>&nbsp;".$server_info['port']."<br />
            <strong>".$locale['csm_22']."</strong>&nbsp;".$server_info['map']."&nbsp;&nbsp;&nbsp;<strong>".$locale['csm_23']."</strong>&nbsp;".$ping."<br />
            <strong>".$locale['csm_24']."</strong>&nbsp;&nbsp;&nbsp;".($server_info['players'] == 0 ? "<strong style='color:red;'>0/".$server_info['maxplayers']."</strong>" : "<strong style='color:green;'>".$server_info['players']."/".$server_info['maxplayers']."</strong>")."
            </div>";
        }
        if ($server_info['status'] == "offline") {
            echo "<div class='server-info'><h3 class='panelcap'>".$server_info['name']."</h3>
            <strong style='color:red;'>".$locale['csm_25']."</strong><br /><br />
            <strong>".$locale['csm_20']."</strong>&nbsp;".$server_info['host']."&nbsp;&nbsp;<strong>".$locale['csm_21']."</strong>&nbsp;".$server_info['port']."<br />
            </div>";
        }
        if ($server_info['status'] == "n/a") {
            echo "<div class='server-info'>
            <strong style='color:red;'>".$locale['csm_26']."</strong><br /><br />
            <strong>".$locale['csm_20']."</strong>&nbsp;".$server_info['host']."&nbsp;&nbsp;<strong>".$locale['csm_21']."</strong>&nbsp;".$server_info['port']."<br />
            </div>";
        }
        
        echo "</div>";
        
        if ($i % 2 != 0) { echo "<div class='clear'></div>"; }
        $i++;
    }
    echo "</li></ul></div>";






?>