<?php
/*
# CS Monitoring Plugin v1
# by Rush
# http://vkontakte.ru/hot.rush
# johny64@gmail.com
*/
function get_micro_time() { 
    list($usec, $sec) = explode(" ", microtime()); 
    return ((float)$usec + (float)$sec); 
}

function get_server_info($ip, $port) {
    
    $timeStart = get_micro_time();
    $server['host'] = $ip;
    $server['port'] = $port;
    $fp = fsockopen('udp://'.$server['host'], $server['port']);
    stream_set_timeout($fp, 2); 
    if($fp) { 
		fwrite($fp,"\xFF\xFF\xFF\xFFTSource Engine Query\x00\r"); 
		$temp = fread($fp, 5); 
		$status = socket_get_status($fp); 
		if($status['unread_bytes']>0) {
			$temp = fread($fp, $status['unread_bytes']);
			$server['ping'] = (int)((get_micro_time() - $timeStart)*1000);
			$array = array(); 
			$pos = 0; 
			while($pos !== false) { 
				$pos2 = strpos($temp, "\0", $pos+1); 
				$array[] = substr($temp, $pos+1, $pos2-$pos)."\n"; 
				$pos = $pos2;
			}
			$server['status'] = 'online';
			if(trim($array[2]) == 'cstrike') {
				$server['players'] = ord($array[5][0]); 
                $server['maxplayers'] = ord($array[5][1]); 
                $server['name']	= trim($array[0]); 
                $server['map'] = trim($array[1]);
                $server['type'] = trim($array[3]);
			} else {
				$server['players'] = ord($array[5][0]); 
                $server['maxplayers'] = ord($array[5][1]); 
                $server['name'] = trim($array[1]); 
                $server['map'] = trim($array[2]);
                $server['type'] = trim($array[3]);
			} 
		} else {
			$server['status'] = 'offline';
			$server['players']    = '0';
			$server['maxplayers']    = '0';
			$server['name']    = '';
			$server['map']    = '';
		}
	} else {
	   $server['status'] = 'n/a';
	}
return $server;
}
?>